Subject: Re: bug#2137: 23.0.60; Saving Rmail buffer does not show the "Saving file ..." message

From: Richard M Stallman <[email-masked]>
Date: Sun, 01 Feb 2009 17:48:37 -0500

In an Rmail buffer, type "C-x C-s" to save it: you will almost never
    see the usual "Saving file FOO..." message, because buffer-soze,
    called by save-buffer, returns the size of the current message, not of
    the entire message collection.

The clean way to fix this is with something like `buffer-swapped-with'.

I did not remember the existence of this feature when I recommended
implementing `buffer-swapped-with', so I can't really say "I told you
so."  But there is a general tendency that these sorts of features
need to be checked and acted on in various places in the code, and
most of them don't have any hooks.